<?php


// Seiten von der Suche ausschließen
add_filter(
 'posts_where',
 create_function(
  '$where',
  'return (!empty($GLOBALS["wp_query"]->query_vars["s"]) ? "AND " .$GLOBALS["wpdb"]->posts. ".post_type != \'page\'" : "") . $where;'
  )
);


// Eigener Hintergrund

$args = array(
	'default-color' => 'eee',
	'default-image' => get_template_directory_uri() . '/images/bg.png',
);

add_theme_support( 'custom-background', $args );


// Eigenes Logo

$defaults = array(
	'default-image'          => get_template_directory_uri() . '/images/logo.png',
	'random-default'         => false,
	'width'                  => 300,
	'height'                 => 80,
	'flex-height'            => true,
	'flex-width'             => true,
	'header-text'            => false,
	'uploads'                => true,
);

add_theme_support( 'custom-header', $defaults );


// Post Thumbnails aktivieren

if (function_exists('add_theme_support')) {
add_theme_support('post-thumbnails', array('post'));
    set_post_thumbnail_size(50, 50, true);
add_image_size( 'big-post-thumbnail', 250, 250 ); 
add_image_size( 'medium-post-thumbnail', 100, 100 ); 
add_image_size( 'small-post-thumbnail', 25, 25 ); 
add_image_size( 'xsmall-post-thumbnail', 20, 20 ); 
}


//Post-Thumbnails in der Artikelansicht im Backend anzeigen

if ( !function_exists('fb_AddThumbColumn') && function_exists('add_theme_support') ) {

    // for post and page
    add_theme_support('post-thumbnails', array( 'post', 'page' ) );

    function fb_AddThumbColumn($cols) {

        $cols['thumbnail'] = ('Thumbnail');

        return $cols;
    }

    function fb_AddThumbValue($column_name, $post_id) {

            $width = (int) 35;
            $height = (int) 35;

            if ( 'thumbnail' == $column_name ) {
                // thumbnail of WP 2.9
                $thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
                // image from gallery
                $attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
                if ($thumbnail_id)
                    $thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
                elseif ($attachments) {
                    foreach ( $attachments as $attachment_id => $attachment ) {
                        $thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
                    }
                }
                    if ( isset($thumb) && $thumb ) {
                        echo $thumb;
                    } else {
                        echo ('None');
                    }
            }
    }

    add_filter( 'manage_posts_columns', 'fb_AddThumbColumn' );
    add_action( 'manage_posts_custom_column', 'fb_AddThumbValue', 10, 2 );
}


// Sidebar aktivieren

if ( function_exists('register_sidebar') )
register_sidebar(array(
  'name' => 'Sidebar rechts',
  'id' => '4_right-sidebar',
));


// Feed Links

if (function_exists('add_theme_support')) {
add_theme_support('automatic-feed-links');
}


// Maximale Breite des Inhalts festlegen

if ( ! isset( $content_width ) ) $content_width = 900;


// Anpassungen für das Kommentar-Formular

function my_fields($fields) {
$fields['author'] = '<p class="comment-form-author">' . '<label for="author">Dein Name <small>(erforderlich)</small></label> ' . ( $req ? '<span class="required">(erforderlich)</span>' : '' ) .
                    '<br/><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30"' . $aria_req . ' /></p>';
$fields['email'] = '<p class="comment-form-email"><label for="email">Deine eMail-Adresse <small>(erforderlich, wird nicht veröffentlicht)</small></label> ' . ( $req ? '<span class="required">*</span>' : '' ) .
                    '<br/><input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30"' . $aria_req . ' /></p>';
$fields['url'] = '<p class="comment-form-url"><label for="url">Deine Webseite <small>(optional)</small></label>' .
                    '<br/><input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></p>';
return $fields;
}
add_filter('comment_form_default_fields','my_fields');


?>