<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php bloginfo('name'); ?> <?php if ( is_home() ) { ?> - <?php bloginfo('description'); } ?> <?php wp_title(); ?> </title>
	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php 
		if(function_exists('is_singular') && function_exists('wp_enqueue_script')) {
			if (is_singular())
				wp_enqueue_script( 'comment-reply' );
		}
	?>

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>> 

	<div id="seitenbreite">

		<div id="header">

			<div class="logo">
				<a href="<?php echo home_url(); ?>"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" /></a>
			</div><!--logo-->

			<div class="suche">
				<form method="get" id="searchform" action="<?php echo home_url(); ?>/">
					<input type="text" value="Wonach suchst du?" name="s" id="s"     
					onblur="if (this.value == '') 
					{this.value = 'Wonach suchst du?';}"
					onfocus="if (this.value == 'Wonach suchst du?')
					{this.value = '';}" />
					<input type="submit" name="" value="" id="sb" />
				</form>
			</div><!--suche-->

			<h3 class="bloginfo">
				<a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?></a>
			</h3>

			<div class="nav-bar">
				<a href="#navigation" title="Menü ausfahren">Navigation anzeigen &darr;</a>
			</div><!--nav-bar-->

			<div id="navigation">

				<?php wp_nav_menu(); ?>
				<a class="nav-close" href="#header" title="Menü einfahren">&uarr; Navigation schließen</a>

			</div><!--navigation-->

		</div><!--header-->

		<div id="inhalt">

			<div id="links">